Name:           SDL_sound
Version:        1.0.1
Release:        0.%{mysig}
Summary:	Library handling decoding of several popular sound file formats.
Group:          System Environment/Libraries
License:        LGPL
URL:            http://www.icculus.org/SDL_sound/
Source0:        http://www.icculus.org/SDL_sound/downloads/SDL_sound-1.0.1.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL-devel, smpeg-devel, flac-devel, speex-devel
BuildRequires:	libvorbis-devel, libogg-devel, mikmod, libmodplug-devel
BuildRequires:	doxygen

%description
SDL_sound is a library that handles the decoding of several popular sound file 
formats, such as .WAV and .MP3. 

It is meant to make the programmer's sound playback tasks simpler. The 
programmer gives SDL_sound a filename, or feeds it data directly from one of 
many sources, and then reads the decoded waveform data back at her leisure. 
If resource constraints are a concern, SDL_sound can process sound data in 
programmer-specified blocks. Alternately, SDL_sound can decode a whole sound 
file and hand back a single pointer to the whole waveform. SDL_sound can 
also handle sample rate, audio format, and channel conversion on-the-fly 
and behind-the-scenes, if the programmer desires.

%package        devel
Summary:        %{summary}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
%{description}

This package contains the headers and libraries for SDL_sound development.

%prep
%setup -q


%build
# smpeg-devel doesn't get detected on FC1 so need to force it :-/
%configure --enable-smpeg --disable-smpegtest \
	   --enable-mikmod --enable-ogg --enable-modplug \
	   --enable-speex --enable-flac

make %{?_smp_mflags}
doxygen Doxyfile

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_mandir}
mv docs/man/man3 $RPM_BUILD_ROOT/%{_mandir}
rmdir docs/man

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING README TODO
%{_bindir}/*
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc docs/
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/SDL/*
%{_mandir}/man3/*

%changelog
* Wed Sep 21 2005 Milan Kerslager <kerslage@linux.cz> 1.0.1-0.ker.rhel4
- rebuild for RHEL4 (package from http://rpm.livna.org/fedora/4/i386/SRPMS.lvn)

* Fri Nov 21 2003 Panu Matilainen <pmatilai@welho.com> 0:1.0.1-0.lvn.1
- Initial RPM release.
